Summary:	Python module to customize a process title
Name:		python-setproctitle
Version:	1.1.10
Release:	4
License:	BSD
Group:		Development/Languages/Python
URL:		http://pypi.python.org/pypi/setproctitle
BuildRequires:	rpmbuild(macros) >= 1.710
Source0:	https://pypi.python.org/packages/5a/0d/dc0d2234aacba6cf1a729964383e3452c52096dc695581248b548786f2b3/setproctitle-%{version}.tar.gz
# Source0-md5:	2dcdd1b761700a5a13252fea3dfd1977
BuildRequires:	python-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python module allowing a process to change its title as displayed by
system tool such as ps and top.

It's useful in multiprocess systems, allowing to identify tasks each
forked process is busy with. This technique has been used by
PostgreSQL and OpenSSH.

It's based on PostgreSQL implementation which has proven to be
portable.

%package -n python3-setproctitle
Summary:	Python module to customize a process title
BuildRequires:	python3-devel

%description -n python3-setproctitle
Python module allowing a process to change its title as displayed by
system tool such as ps and top.

It's useful in multi-process systems, allowing to identify tasks each
forked process is busy with. This technique has been used by
PostgreSQL and OpenSSH.

It's based on PostgreSQL implementation which has proven to be
portable.

%prep
%setup -q -n setproctitle-%{version}

%build
%{__python} setup.py \
	build -b build-2
%{__python3} setup.py \
	build -b build-3

%install
rm -rf $RPM_BUILD_ROOT

%py_install \
	--root $RPM_BUILD_ROOT

chmod 0755 $RPM_BUILD_ROOT%{py_sitedir}/setproctitle.so

%py3_install \
	--root $RPM_BUILD_ROOT

chmod 0755 $RPM_BUILD_ROOT%{py3_sitedir}/setproctitle*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{py_sitedir}/setproctitle.so
%{py_sitedir}/setproctitle-*.egg-info

%files -n python3-setproctitle
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{py3_sitedir}/setproctitle.*.so
%{py3_sitedir}/setproctitle-*.egg-info
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-setproctitle.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> f8f6ece
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f5a4c82
- rebuild with python 3.8
- release 3 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8902a34
- release 2 (by relup.sh)

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> a6a19f7
- up to 1.1.10

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c9f0a70
- python 3.6
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 589c699
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3ec0b75
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 745f306
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a01bb95
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f07ccee
- python 3.4
- release 2 (by relup.sh)

* Mon Mar 10 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a8ec9da
- up to 1.1.8

* Sun Jul 07 2013 Elan Ruusamäe <glen@delfi.ee> 69a76a5
- rebuild without py2 specific pythonegg() provides
- release 2 (by relup.sh)

* Thu Feb 21 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d843bf5
- initial

